summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJames Meyer <james.meyer@operamail.com>2008-12-14 03:14:47 (GMT)
committerJames Meyer <james.meyer@operamail.com>2008-12-14 03:14:47 (GMT)
commit7020b9631e04bb70e103cbf8a6eaabcfaaa8d6ef (patch)
treefea96891ef4eb4d33e4d2958bf16f9deb57dc296
parentcb7befecd3a4cdd8644c3d3263907cdaea35ed3e (diff)
downloadlinhes_dev-7020b9631e04bb70e103cbf8a6eaabcfaaa8d6ef.zip
add stuff to check for check_upgrade and set the enviroment var.
-rwxr-xr-xbuild_tools/clarch/larch/profiles/i686-testing-REMOTE/rootoverlay/root/LinHES-install.sh11
-rwxr-xr-xbuild_tools/clarch/larch/profiles/i686-testing-local-httpd/rootoverlay/root/LinHES-install.sh11
-rwxr-xr-xbuild_tools/clarch/larch/profiles/i686-testing-local/rootoverlay/root/LinHES-install.sh11
3 files changed, 27 insertions, 6 deletions
diff --git a/build_tools/clarch/larch/profiles/i686-testing-REMOTE/rootoverlay/root/LinHES-install.sh b/build_tools/clarch/larch/profiles/i686-testing-REMOTE/rootoverlay/root/LinHES-install.sh
index f11b365..85762da 100755
--- a/build_tools/clarch/larch/profiles/i686-testing-REMOTE/rootoverlay/root/LinHES-install.sh
+++ b/build_tools/clarch/larch/profiles/i686-testing-REMOTE/rootoverlay/root/LinHES-install.sh
@@ -14,10 +14,17 @@ xhost +
CMDLINE=$(cat /proc/cmdline)
echo $CMDLINE |grep -q nfsroot
NFSROOT=$?
-if [ x$NFSROOT = x1 ]
+echo $CMDLINE |grep -q clean_upgrade
+if [ $? = 0 ]
then
+ export CLEAN_UPGRADE=YES
+else
+ export CLEAN_UPGRADE=NO
+fi
- unbuffer MythVantage &
+if [ x$NFSROOT = x1 ]
+then
+ unbuffer MythVantage &
else
NETBOOT=YES MythVantage &
fi
diff --git a/build_tools/clarch/larch/profiles/i686-testing-local-httpd/rootoverlay/root/LinHES-install.sh b/build_tools/clarch/larch/profiles/i686-testing-local-httpd/rootoverlay/root/LinHES-install.sh
index f11b365..85762da 100755
--- a/build_tools/clarch/larch/profiles/i686-testing-local-httpd/rootoverlay/root/LinHES-install.sh
+++ b/build_tools/clarch/larch/profiles/i686-testing-local-httpd/rootoverlay/root/LinHES-install.sh
@@ -14,10 +14,17 @@ xhost +
CMDLINE=$(cat /proc/cmdline)
echo $CMDLINE |grep -q nfsroot
NFSROOT=$?
-if [ x$NFSROOT = x1 ]
+echo $CMDLINE |grep -q clean_upgrade
+if [ $? = 0 ]
then
+ export CLEAN_UPGRADE=YES
+else
+ export CLEAN_UPGRADE=NO
+fi
- unbuffer MythVantage &
+if [ x$NFSROOT = x1 ]
+then
+ unbuffer MythVantage &
else
NETBOOT=YES MythVantage &
fi
diff --git a/build_tools/clarch/larch/profiles/i686-testing-local/rootoverlay/root/LinHES-install.sh b/build_tools/clarch/larch/profiles/i686-testing-local/rootoverlay/root/LinHES-install.sh
index f11b365..85762da 100755
--- a/build_tools/clarch/larch/profiles/i686-testing-local/rootoverlay/root/LinHES-install.sh
+++ b/build_tools/clarch/larch/profiles/i686-testing-local/rootoverlay/root/LinHES-install.sh
@@ -14,10 +14,17 @@ xhost +
CMDLINE=$(cat /proc/cmdline)
echo $CMDLINE |grep -q nfsroot
NFSROOT=$?
-if [ x$NFSROOT = x1 ]
+echo $CMDLINE |grep -q clean_upgrade
+if [ $? = 0 ]
then
+ export CLEAN_UPGRADE=YES
+else
+ export CLEAN_UPGRADE=NO
+fi
- unbuffer MythVantage &
+if [ x$NFSROOT = x1 ]
+then
+ unbuffer MythVantage &
else
NETBOOT=YES MythVantage &
fi